This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 135808 - Gamin client ignores Ctrl-C while in FAMNextEvent?
Gamin client ignores Ctrl-C while in FAMNextEvent?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 03:01 EDT by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 08:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-10-15 03:01:53 EDT
It seems that Gamin prevents Ctrl-C from taking effect while it is
inside FAMNextEvent - it possible to change this?

I am seeing that when using FAM, OMake (http://omake.metaprl.org/)
exits right away on Ctrl-C. However when using Gamin, if Ctrl-C is
pressed while OMake is inside FAMNextEvent, then it will be ignored
until after FAMNextEvent returns (i.e. until after an event happens).
Is there some easy way to make sure Ctrl-C works right away?
Comment 1 Daniel Veillard 2004-10-15 03:47:53 EDT
No easy way, it need a serious change of gamin error handling.

Daniel
Comment 2 Aleksey Nogin 2004-10-15 03:49:38 EDT
I just found a way to make Ctrl-C work correctly in OMake even with
the current version of gamin, so feel free to WONTFIX this.

Note You need to log in before you can comment on or make changes to this bug.